Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.essbase.api.dataquery
Class IEssDataCell.EEssDataCellType

    java.lang.Object
      com.essbase.api.dataquery.IEssDataCell.EEssDataCellType

All Implemented Interfaces:
  IEssBaseObject, IEssEnum

Enclosing class:
  IEssDataCell

public static final class IEssDataCell.EEssDataCellType
extends java.lang.Object
implements IEssEnum

The EEssDataCellType class is an enumeration of cell value types.

Field Summary
`static IEssDataCell.EEssDataCellType` | `BLANK` Data cell type: Blank.
`static int` | `BLANK_INT_VALUE` Data cell type (int value): Blank.
`static IEssDataCell.EEssDataCellType` | `DOUBLE` Data cell type: Double.
`static int` | `DOUBLE_INT_VALUE` Data cell type (int value): Double.
`static IEssDataCell.EEssDataCellType` | `ERROR` Data cell type: Error.
`static int` | `ERROR_INT_VALUE` Data cell type (int value): Error.
`static IEssDataCell.EEssDataCellType` | `MISSING` Data cell type: Missing.
`static int` | `MISSING_INT_VALUE` Data cell type (int value): Missing.
`static IEssDataCell.EEssDataCellType` | `NO_ACCESS` Data cell type: None.
`static int` | `NO_ACCESS_INT_VALUE` Data cell type (int value): None.
`static IEssDataCell.EEssDataCellType` | `ZERO` Data cell type: Zero.
`static int` | `ZERO_INT_VALUE` Data cell type (int value): Zero.

Constructor Summary
`IEssDataCell.EEssDataCellType()`

Method Summary
`IEssEnum` | `fromInt(int intValue)` Gets the IEssEnum from the int value.
`IEssEnum` | `fromString(java.lang.String strValue)` Gets the IEssEnum from the String display value.
`int` | `getCountPossibleValues()` Gets the count of possible values of the enumeration.
`java.lang.String[]` | `getPossibleValues()` Gets the list of possible values of the enumeration.
`int` | `intValue()` Gets the int value of the IEssEnum.
`static IEssDataCell.EEssDataCellType` | `sm_fromInt(int intValue)` Gets an enumeration object from its int value.
`static IEssDataCell.EEssDataCellType` | `sm_fromString(java.lang.String strValue)` Gets an enumeration object from its string display value.
`static IEssDataCell.EEssDataCellType[]` | `sm_values()` Gets all the enumeration objects.
`java.lang.String` | `stringValue()` Gets the String display value of the IEssEnum.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NO_ACCESS

    public static final IEssDataCell.EEssDataCellType NO_ACCESS

  Data cell type: None.

### BLANK

    public static final IEssDataCell.EEssDataCellType BLANK

  Data cell type: Blank.

### MISSING

    public static final IEssDataCell.EEssDataCellType MISSING

  Data cell type: Missing.

### ZERO

    public static final IEssDataCell.EEssDataCellType ZERO

  Data cell type: Zero.

### DOUBLE

    public static final IEssDataCell.EEssDataCellType DOUBLE

  Data cell type: Double.

### ERROR

    public static final IEssDataCell.EEssDataCellType ERROR

  Data cell type: Error.

### NO_ACCESS_INT_VALUE

    public static final int NO_ACCESS_INT_VALUE

  Data cell type (int value): None.

  See Also:
    Constant Field Values

### BLANK_INT_VALUE

    public static final int BLANK_INT_VALUE

  Data cell type (int value): Blank.

  See Also:
    Constant Field Values

### MISSING_INT_VALUE

    public static final int MISSING_INT_VALUE

  Data cell type (int value): Missing.

  See Also:
    Constant Field Values

### ZERO_INT_VALUE

    public static final int ZERO_INT_VALUE

  Data cell type (int value): Zero.

  See Also:
    Constant Field Values

### DOUBLE_INT_VALUE

    public static final int DOUBLE_INT_VALUE

  Data cell type (int value): Double.

  See Also:
    Constant Field Values

### ERROR_INT_VALUE

    public static final int ERROR_INT_VALUE

  Data cell type (int value): Error.

  See Also:
    Constant Field Values

Constructor Detail

### IEssDataCell.EEssDataCellType

    public IEssDataCell.EEssDataCellType()

Method Detail

### sm_fromString

    public static IEssDataCell.EEssDataCellType sm_fromString(java.lang.String strValue)
                                                       throws EssException

  Gets an enumeration object from its string display value.

  Parameters:
    `strValue` - The string display value.
  Returns:
    The enumeration object.
  Throws:
    `EssException` - if an error occurs.

### sm_fromInt

    public static IEssDataCell.EEssDataCellType sm_fromInt(int intValue)
                                                    throws EssException

  Gets an enumeration object from its int value.

  Parameters:
    `intValue` - The int value.
  Returns:
    The enumeration object.
  Throws:
    `EssException` - if an error occurs.

### sm_values

    public static IEssDataCell.EEssDataCellType[] sm_values()
                                                     throws EssException

  Gets all the enumeration objects.

  Returns:
    The enumeration objects.
  Throws:
    `EssException` - if an error occurs.

### stringValue

    public java.lang.String stringValue()
                                 throws EssException

  Description copied from interface: `IEssEnum`
  Gets the String display value of the IEssEnum.

  Specified by:
    `stringValue` in interface `IEssEnum`
  Returns:
    The String display value of the IEssEnum.
  Throws:
    `EssException` - if an error occurs.

### intValue

    public int intValue()
                 throws EssException

  Description copied from interface: `IEssEnum`
  Gets the int value of the IEssEnum.

  Specified by:
    `intValue` in interface `IEssEnum`
  Returns:
    The int value of the IEssEnum.
  Throws:
    `EssException` - if an error occurs.

### fromInt

    public IEssEnum fromInt(int intValue)
                     throws EssException

  Description copied from interface: `IEssEnum`
  Gets the IEssEnum from the int value.

  Specified by:
    `fromInt` in interface `IEssEnum`
  Returns:
    The IEssEnum interface.
  Throws:
    `EssException` - if an error occurs.

### fromString

    public IEssEnum fromString(java.lang.String strValue)
                        throws EssException

  Description copied from interface: `IEssEnum`
  Gets the IEssEnum from the String display value.

  Specified by:
    `fromString` in interface `IEssEnum`
  Returns:
    The IEssEnum interface.
  Throws:
    `EssException` - if an error occurs.

### getCountPossibleValues

    public int getCountPossibleValues()
                               throws EssException

  Description copied from interface: `IEssEnum`
  Gets the count of possible values of the enumeration.

  Specified by:
    `getCountPossibleValues` in interface `IEssEnum`
  Returns:
    The count of possible values in the enumeration.
  Throws:
    `EssException` - if an error occurs.

### getPossibleValues

    public java.lang.String[] getPossibleValues()
                                         throws EssException

  Description copied from interface: `IEssEnum`
  Gets the list of possible values of the enumeration.

  Specified by:
    `getPossibleValues` in interface `IEssEnum`
  Returns:
    The list of possible values in the enumeration.
  Throws:
    `EssException` - if an error occurs.

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD